org.apache.poi.xdgf.usermodel.shape

## Class ShapeRenderer

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.shape.ShapeVisitor
  - - org.apache.poi.xdgf.usermodel.shape.ShapeRenderer

- Direct Known Subclasses:
    ShapeDebuggerRenderer

      public class ShapeRenderer
      extends ShapeVisitor

  To use this to render only particular shapes, override it and provide an appropriate implementation of getAcceptor() or accept()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Graphics2D` | `_graphics`

    - ### Fields inherited from class org.apache.poi.xdgf.usermodel.shape.ShapeVisitor

      `_acceptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeRenderer()`
    `ShapeRenderer(java.awt.Graphics2D g)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.geom.Path2D` | `drawPath(XDGFShape shape)`
    `protected void` | `drawText(XDGFShape shape)`
    `void` | `setGraphics(java.awt.Graphics2D g)`
    `void` | `visit(XDGFShape shape, java.awt.geom.AffineTransform globalTransform, int level)`

    - ### Methods inherited from class org.apache.poi.xdgf.usermodel.shape.ShapeVisitor

      `accept, getAcceptor, setAcceptor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _graphics

          protected java.awt.Graphics2D _graphics

  - ### Constructor Detail

    - #### ShapeRenderer

          public ShapeRenderer()

    - #### ShapeRenderer

          public ShapeRenderer(java.awt.Graphics2D g)

  - ### Method Detail

    - #### setGraphics

          public void setGraphics(java.awt.Graphics2D g)

    - #### visit

          public void visit(XDGFShape shape,
                            java.awt.geom.AffineTransform globalTransform,
                            int level)

      Specified by:
        `visit` in class `ShapeVisitor`
      Parameters:
        `shape` - Current shape
        `globalTransform` - A transform that can convert the shapes points to global coordinates
        `level` - Level in the tree (0 is topmost, 1 is next level...

    - #### drawPath

          protected java.awt.geom.Path2D drawPath(XDGFShape shape)

    - #### drawText

          protected void drawText(XDGFShape shape)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.